ftcps
Prev | Orchestra Opcodes and Operators | Next

## ftcps

ftcps — Returns the base frequency of a stored function table in Hz.

## Description

Returns the base frequency of a stored function table in Hz..

## Syntax

    ftcps(x) (init-rate args only)

## Performance

Returns the base frequency of stored function table, number x. ftcps is designed for tables storing audio waveforms read from files (see GEN01).

ftcps returns -1 in case of an error (no base frequency set in table or non-existent table).

## Examples

Here is an example of the ftcps opcode.

Example 375. Example of the ftcps opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    ; Audio out   Audio in
    -odac           -iadc    ;;;RT audio I/O
    ; For Non-realtime ouput leave only the line below:
    ; -o ftlen.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    ; Initialize the global variables.
    sr = 44100
    kr = 4410
    ksmps = 10
    nchnls = 1

    ; Instrument #1.
    instr 1
      ; Print out the base frequency of Table #1.
      ; if it has been set in the original file.
      icps = ftcps(1)
      print icps
    endin

    </CsInstruments>
    <CsScore>

    ; Table #1: Use an audio file, Csound will determine its base frequency, if set.
    f 1 0 0 1 "sample.wav" 0 0 0

    ; Play Instrument #1 for 1 second.
    i 1 0 1
    e

    </CsScore>
    </CsoundSynthesizer>

## See Also

ftchnls, ftlptim, ftsr, nsamp

## Credits

Author: Victor Lazzarini
2010

Example written by Victor Lazzarini

Prev | Up | Next
ftconv | Home | ftexists